var search_data = {"index":{"searchIndex":["strings","truncation","configuration","error","extensions","__instance__()","configuration()","configure()","display_width()","length()","new()","new()","omission()","position()","separator()","slice()","truncate()","truncate()","truncate_ends()","truncate_from()","truncate_middle()","truncate_start()","update()","changelog","license","readme"],"longSearchIndex":["strings","strings::truncation","strings::truncation::configuration","strings::truncation::error","strings::truncation::extensions","strings::truncation::__instance__()","strings::truncation#configuration()","strings::truncation#configure()","strings::truncation#display_width()","strings::truncation::configuration#length()","strings::truncation::new()","strings::truncation::configuration::new()","strings::truncation::configuration#omission()","strings::truncation::configuration#position()","strings::truncation::configuration#separator()","strings::truncation#slice()","strings::truncation#truncate()","strings::truncation::extensions#truncate()","strings::truncation#truncate_ends()","strings::truncation#truncate_from()","strings::truncation#truncate_middle()","strings::truncation#truncate_start()","strings::truncation::configuration#update()","","",""],"info":[["Strings","","Strings.html","",""],["Strings::Truncation","","Strings/Truncation.html","",""],["Strings::Truncation::Configuration","","Strings/Truncation/Configuration.html","","<p>A configuration object used by a Strings::Truncation instance\n<p>@api private\n"],["Strings::Truncation::Error","","Strings/Truncation/Error.html","",""],["Strings::Truncation::Extensions","","Strings/Truncation/Extensions.html","",""],["__instance__","Strings::Truncation","Strings/Truncation.html#method-c-__instance__","()","<p>Global instance\n<p>@api private\n"],["configuration","Strings::Truncation","Strings/Truncation.html#method-i-configuration","()","<p>Access configuration\n<p>@api public\n"],["configure","Strings::Truncation","Strings/Truncation.html#method-i-configure","(**options)","<p>Configure truncation\n<p>@example\n\n<pre>strings = Strings::Truncation.new\nstrings.configure do |config|\n  config.length ...</pre>\n"],["display_width","Strings::Truncation","Strings/Truncation.html#method-i-display_width","(string)","<p>Visible width of a string\n<p>@return [Integer]\n<p>@api private\n"],["length","Strings::Truncation::Configuration","Strings/Truncation/Configuration.html#method-i-length","(number = (not_set = true))","<p>The maximum length to truncate to\n<p>@example\n\n<pre>strings = Strings::Truncation.new\n\nstrings.configure do |config| ...</pre>\n"],["new","Strings::Truncation","Strings/Truncation.html#method-c-new","(**options)","<p>Create a Strings::Truncation instance\n<p>@example\n\n<pre>strings = Strings::Truncation.new(separator: /[,- ]/)</pre>\n"],["new","Strings::Truncation::Configuration","Strings/Truncation/Configuration.html#method-c-new","(length: DEFAULT_LENGTH, omission: DEFAULT_OMISSION, position: DEFAULT_POSITION, separator: nil)","<p>Create a configuration\n<p>@api public\n"],["omission","Strings::Truncation::Configuration","Strings/Truncation/Configuration.html#method-i-omission","(string = (not_set = true))","<p>The string to denote omitted content\n<p>@example\n\n<pre>strings = Strings::Truncation.new\n\nstrings.configure do |config| ...</pre>\n"],["position","Strings::Truncation::Configuration","Strings/Truncation/Configuration.html#method-i-position","(position = (not_set = true))","<p>The position of the omission within the string\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">strings</span> = <span class=\"ruby-constant\">Strings</span><span class=\"ruby-operator\">::</span><span class=\"ruby-constant\">Truncation</span>.<span class=\"ruby-identifier\">new</span>\n\n<span class=\"ruby-identifier\">strings</span>.<span class=\"ruby-identifier\">configure</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["separator","Strings::Truncation::Configuration","Strings/Truncation/Configuration.html#method-i-separator","(separator = (not_set = true))","<p>The separator to break the characters into words\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">strings</span> = <span class=\"ruby-constant\">Strings</span><span class=\"ruby-operator\">::</span><span class=\"ruby-constant\">Truncation</span>.<span class=\"ruby-identifier\">new</span>\n\n<span class=\"ruby-identifier\">strings</span>.<span class=\"ruby-identifier\">configure</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["slice","Strings::Truncation","Strings/Truncation.html#method-i-slice","(text, from, length, omission_width: 0, separator: nil)","<p>Extract number of characters from a text starting at the from position\n<p>@param [Integer] from\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">position</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["truncate","Strings::Truncation","Strings/Truncation.html#method-i-truncate","(text, truncate_at = configuration.length, length: nil, position: configuration.position, separator: configuration.separator, omission: configuration.omission)","<p>Truncate a text at a given length (defualts to 30)\n<p>@param [String] text\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">text</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">be</span> <span class=\"ruby-identifier\">truncated</span>\n</pre>\n"],["truncate","Strings::Truncation::Extensions","Strings/Truncation/Extensions.html#method-i-truncate","(*args, **options)",""],["truncate_ends","Strings::Truncation","Strings/Truncation.html#method-i-truncate_ends","(text, length, omission, separator)","<p>Truncate text at both ends\n<p>@param [String] text\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">text</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">truncate</span>\n</pre>\n"],["truncate_from","Strings::Truncation","Strings/Truncation.html#method-i-truncate_from","(from, text, length, omission, separator)","<p>Truncate text before the from position and after the length\n<p>@param [Integer] from\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">position</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">start</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["truncate_middle","Strings::Truncation","Strings/Truncation.html#method-i-truncate_middle","(text, length, omission, separator)","<p>Truncate text in the middle\n<p>@param [String] text\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">text</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">truncate</span>\n</pre>\n"],["truncate_start","Strings::Truncation","Strings/Truncation.html#method-i-truncate_start","(text, length, omission, separator)","<p>Truncate text at the start\n<p>@param [String] text\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">text</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">truncate</span>\n</pre>\n"],["update","Strings::Truncation::Configuration","Strings/Truncation/Configuration.html#method-i-update","(length: nil, omission: nil, position: nil, separator: nil)","<p>Update current configuration\n<p>@api public\n"],["CHANGELOG","","CHANGELOG_md.html","","<p>Change log\n<p>v0.1.0 - 2020-02-23\n<p>Initial implementation and release\n"],["LICENSE","","LICENSE_txt.html","","<p>The MIT License (MIT)\n<p>Copyright © 2019 Piotr Murach\n<p>Permission is hereby granted, free of charge, to …\n"],["README","","README_md.html","","<p>Strings::Truncation\n<p><img src=\"https://badge.fury.io/rb/strings-truncation.svg\">\n<img src=\"https://github.com/piotrmurach/strings-truncation/workflows/CI/badge.svg?branch=master\"> ...\n\n<blockquote>"]]}}